<!DOCTYPE html>
<html lang="en">
    <head>
        <title>Tablab - User Assessments Reports</title>
        <link rel="stylesheet" href="/css/tabularReports.css" />
        <% include ../partials/head %>
    </head>

    <body>
        <% include ../partials/reportsHeader %>
    
        <div class="overlay" style="display:none;">
            <div class="loader" id="loader"></div>
        </div>

        <!-- Hidden User information for internal use -->
        <div align="center" style="display:none">
            <h3 id="did"><%= did%></h3>
            <h3 id="uid"><%= uid%></h3>
            <br/>
        </div>

        <div class="container" style="">
            <h4 align="center" style="padding-below:3%">
                <i class="fa fa-child" area-hidden="true"></i>
                Assessments Usage By <span id="studentName"><b><%=studentName%></b></span>
            </h4>
        </div>
        
        <div id="pillsNavbar" class="container">
            <div id="pills-div" class="tab-content clearfix" style="disp">
                <div class="tab-pane active">
                
                    <!-- Dates Filter -->
                    <%include ../partials/tableFilter%>

                    <div class="row" style="margin-bottom:50px; margin-top:50px; margin-left:auto; margin-right:auto;">
                        <div  class="col-lg-2 col-md-12 col-xs-12"></div>
                        <div class="col-lg-8 col-md-12 col-xs-12">
                            <div class="table-responsive"> 
                                <h3 align="center">
                                    <i class="fa fa-info-circle" area-hidden="true"></i>
                                    Summary report for the student
                                </h3>
                                <hr>

                                <div id="loader1" style="display:block;">
                                    <div class="loader"></div>
                                </div>
 
                                <table class="table">
                                    <thead>
                                        <tr>
                                            <th colspan="2"><i class="fa fa-mobile" aria-hidden="true"></i>&nbsp Practice Assessment</th>
                                            <th colspan="2"><i class="fa fa-mobile" aria-hidden="true"></i>&nbsp Locked Term Assessment</th>
                                            <th colspan="2"><i class="fa fa-mobile" aria-hidden="true"></i>&nbsp Unlocked Term Assessment</th>
                                        </tr>
                                        <tr>
                                            <th><i class="fa fa-mobile" aria-hidden="true"></i>&nbsp Number</th>
                                            <th><i class="fa fa-mobile" aria-hidden="true"></i>&nbsp Average</th>
                                            <th><i class="fa fa-mobile" aria-hidden="true"></i>&nbsp Number</th>
                                            <th><i class="fa fa-mobile" aria-hidden="true"></i>&nbsp Average</th>
                                            <th><i class="fa fa-mobile" aria-hidden="true"></i>&nbsp Number</th>
                                            <th><i class="fa fa-mobile" aria-hidden="true"></i>&nbsp Average</th>
                                        </tr>
                                    </thead>
                                    <tbody id="summaryTableBody">
                                    </tbody>
                                </table>
                            </div>
                        </div> 
                        <div class="col-lg-2 col-md-12 col-xs-12"></div>                        
                    </div>
                    <div style="margin-bottom:0px; margin-top:50px;">
                        <div class="row" style="margin-bottom:0px; margin-top:10px;">
                            <div class="col-lg-12 col-md-12 col-xs-12">
                                <div class="table-responsive">
                                    <div class="row heading">
                                        <div class="col-lg-9 col-md-9 col-sm-12 col-xs-12">
                                            <h4 style="color:white;">
                                                <i class="fa fa-table" area-hidden="true"></i>
                                                Assessments Usage Table
                                            </h4>
                                        </div>
                                        <div align="right" class="col-lg-3 col-md-3 col-sm-12 col-xs-12">
                                            <select id="assessmentTypeSelector">
                                                <option id="1">All</option>
                                                <option id="2">Practice</option>
                                                <option id="3">Locked Term</option>
                                                <option id="4">Unlocked Term</option>
                                            </select>
                                        </div>
                                    </div>
                                    <hr>

                                    <div id="loader2" style="display:none;">
                                        <div class="loader"></div>
                                    </div>
        
                                    <table class="table table-striped">
                                        <thead>
                                            <tr>
                                                <th colspan="1"><i class="fa fa-mobile" aria-hidden="true"></i>&nbsp Name</th>
                                                <th colspan="1"><i class="fa fa-mobile" aria-hidden="true"></i>&nbsp Topic</th>
                                                <th colspan="1"><i class="fa fa-mobile" aria-hidden="true"></i>&nbsp Type</th>
                                                <th colspan="1"><i class="fa fa-mobile" aria-hidden="true"></i>&nbsp Attempts</th>
                                                <th colspan="1"><i class="fa fa-mobile" aria-hidden="true"></i>&nbsp Average</th>
                                            </tr>
                                         </thead>
                                        <tbody id="assessmentsUsageTableBody">
                                        </tbody>
                                    </table>
                                    <h5 id="assessmentTableBottomInfo" style="padding:5px; border-radius:10px; background-color:#e0e0d1; color:#000;" align="center"></h5>

                                    <div hidden>
                                        <ul class="pager">
                                            <li class="blue-round" style="display:hidden;">Previous</li>
                                            <li class="blue-round">Next</li>
                                        </ul>
                                    </div>
                                </div>
                            </div>  
                        </div>

                    </div>

                </div>
            </div>
        </div>
    </body>

    <script src="/js/functions.js"></script>
    <script src="/js/assessmentsPerUser.js"></script>
</html>


